Bug 178956 - audio/mixxx: Update to version 1.11.0
Summary: audio/mixxx: Update to version 1.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 19:10 UTC by tkato432
Modified: 2013-05-28 14:50 UTC (History)
0 users

See Also:


Attachments
audio_mixxx.diff.gz (35.53 KB, application/octet-stream)
2013-05-24 19:10 UTC, tkato432
no flags Details
audio_mixxx.diff.gz.uue (48.00 KB, application/octet-stream)
2013-05-25 18:51 UTC, tkato432
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-24 19:10:00 UTC
- Update to version 1.11.0

New file:
files/patch-build__features.py
files/patch-lib__hidapi-0.8.0-pre__linux__hid-libusb.c
files/patch-src__controllers__controllermanager.cpp

Remove file: 
files/patch-lib__kissfft__kiss_fft.h
files/patch-src__SConscript.env
files/patch-src__midi__mididevicemanager.cpp
Comment 1 Edwin Groothuis freebsd_committer 2013-05-24 19:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-05-25 07:05:30 UTC
State Changed
From-To: open->feedback

fails to fetch 
http://po.miwibox.org:1288/bulk/latest-per-pkg/mixxx/1.11.0/
Comment 3 tkato432 2013-05-25 18:51:10 UTC
Here is the corrected patch.
Comment 4 Martin Wilke freebsd_committer 2013-05-28 14:47:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-05-28 14:47:59 UTC
Author: miwi
Date: Tue May 28 13:47:40 2013
New Revision: 319305
URL: http://svnweb.freebsd.org/changeset/ports/319305

Log:
  - Update to 1.11.0
  
  PR:		178956
  Submitted by:	Ports Fury

Added:
  head/audio/mixxx/files/patch-build__features.py   (contents, props changed)
  head/audio/mixxx/files/patch-lib__hidapi-0.8.0-pre__linux__hid-libusb.c   (contents, props changed)
  head/audio/mixxx/files/patch-src__controllers__controllermanager.cpp   (contents, props changed)
Deleted:
  head/audio/mixxx/files/patch-lib__kissfft__kiss_fft.h
  head/audio/mixxx/files/patch-src__SConscript.env
  head/audio/mixxx/files/patch-src__midi__mididevicemanager.cpp
Modified:
  head/audio/mixxx/Makefile
  head/audio/mixxx/distinfo
  head/audio/mixxx/files/patch-build__depends.py   (contents, props changed)
  head/audio/mixxx/files/patch-src__soundsourceproxy.cpp   (contents, props changed)
  head/audio/mixxx/pkg-plist

Modified: head/audio/mixxx/Makefile
==============================================================================
--- head/audio/mixxx/Makefile	Tue May 28 13:46:00 2013	(r319304)
+++ head/audio/mixxx/Makefile	Tue May 28 13:47:40 2013	(r319305)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	mixxx
-PORTVERSION=	1.10.1
+PORTVERSION=	1.11.0
 DISTVERSIONSUFFIX=	-src
 CATEGORIES=	audio
-MASTER_SITES=	http://moo.glines.org/mixxx/%SUBDIR%/
+MASTER_SITES=	http://downloads.mixxx.org/%SUBDIR%/
 MASTER_SITE_SUBDIR=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
@@ -19,16 +19,17 @@ LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac
 		mad:${PORTSDIR}/audio/libmad \
 		sndfile:${PORTSDIR}/audio/libsndfile \
 		vorbis:${PORTSDIR}/audio/libvorbis \
-		tag:${PORTSDIR}/audio/taglib
+		tag:${PORTSDIR}/audio/taglib \
+		protobuf:${PORTSDIR}/devel/protobuf
 RUN_DEPENDS=	portaudio>=19:${PORTSDIR}/audio/portaudio2
 
-OPTIONS_DEFINE=	LAME SHOUTCAST FAAD WAVPACK DOCS
+OPTIONS_DEFINE=	FAAD LAME SHOUTCAST TCMALLOC WAVPACK DOCS
+TCMALLOC_DESC=	Use Google's TCMalloc
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
-USE_QT4=	corelib gui network opengl script sql svg webkit xml \
-		xmlpatterns linguist_build moc_build qmake_build rcc_build \
-		uic_build
+USE_QT4=	corelib gui network opengl script sql svg xml \
+		linguist_build moc_build qmake_build rcc_build uic_build
 USE_GL=		glu
 USE_SCONS=	yes
 SCONS_BUILDENV=	${SCONS_ENV}
@@ -37,6 +38,16 @@ MAKE_JOBS_SAFE=	yes
 
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MFAAD}
+LIB_DEPENDS+=	faad:${PORTSDIR}/audio/faad \
+		mp4v2:${PORTSDIR}/multimedia/mp4v2
+SCONS_ARGS+=	faad=1
+PLIST_SUB+=	FAAD=""
+.else
+SCONS_ARGS+=	faad=0
+PLIST_SUB+=	FAAD="@comment "
+.endif
+
 .if ${PORT_OPTIONS:MLAME}
 RUN_DEPENDS+=	lame:${PORTSDIR}/audio/lame
 .endif
@@ -48,14 +59,11 @@ SCONS_ARGS+=	shoutcast=1
 SCONS_ARGS+=	shoutcast=0
 .endif
 
-.if ${PORT_OPTIONS:MFAAD}
-LIB_DEPENDS+=	faad:${PORTSDIR}/audio/faad \
-		mp4v2:${PORTSDIR}/multimedia/mp4v2
-SCONS_ARGS+=	faad=1
-PLIST_SUB+=	FAAD=""
+.if ${PORT_OPTIONS:MTCMALLOC}
+LIB_DEPENDS+=	tcmalloc:${PORTSDIR}/devel/google-perftools
+SCONS_ARGS+=	perftools=1
 .else
-SCONS_ARGS+=	faad=0
-PLIST_SUB+=	FAAD="@comment "
+SCONS_ARGS+=	perftools=0
 .endif
 
 .if ${PORT_OPTIONS:MWAVPACK}
@@ -68,14 +76,17 @@ PLIST_SUB+=	WAVPACK="@comment "
 .endif
 
 post-patch:
-.for f in build/depends.py src/soundsourceproxy.cpp src/recording/encodermp3.cpp
 	@${REINPLACE_CMD} -e "s|%%LOCALBASE%%|${LOCALBASE}|g ; \
-		s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/${f}
-.endfor
-	@${REINPLACE_CMD} -e "/_get_bzr_/s|^|#| ; /('install', docs)/d" \
+		 s|%%PREFIX%%|${PREFIX}|g" \
+		${WRKSRC}/build/depends.py
+	@${REINPLACE_CMD} -e "/('install', docs)/d" \
 		${WRKSRC}/src/SConscript
-	@${REINPLACE_CMD} -e "s|^Exec=.*|Exec=mixxx|" \
+	@${REINPLACE_CMD} -e "s|^Exec=.*|Exec=mixxx| ; \
+		 s|^Icon=.*|Icon=${PREFIX}/share/pixmaps/mixxx-icon.png|" \
 		${WRKSRC}/src/mixxx.desktop
+.for i in midi/midimessage.h qtscript-bytearray/bytearrayclass.h
+	@${ECHO_CMD} >> ${WRKSRC}/src/controllers/${i}
+.endfor
 
 post-install:
 	@${STRIP_CMD} ${PREFIX}/bin/mixxx

Modified: head/audio/mixxx/distinfo
==============================================================================
--- head/audio/mixxx/distinfo	Tue May 28 13:46:00 2013	(r319304)
+++ head/audio/mixxx/distinfo	Tue May 28 13:47:40 2013	(r319305)
@@ -1,2 +1,2 @@
-SHA256 (mixxx-1.10.1-src.tar.gz) = eab49a95336dacee9a9e4c2ad22a0436e9c0b341930e9a03e3b46619d7a9f365
-SIZE (mixxx-1.10.1-src.tar.gz) = 15948956
+SHA256 (mixxx-1.11.0-src.tar.gz) = 00961b5d6c1e6d6686d76e55de474b943bbeff4e59b163dddd3d9940dc1b0331
+SIZE (mixxx-1.11.0-src.tar.gz) = 24473835

Modified: head/audio/mixxx/files/patch-build__depends.py
==============================================================================
--- head/audio/mixxx/files/patch-build__depends.py	Tue May 28 13:46:00 2013	(r319304)
+++ head/audio/mixxx/files/patch-build__depends.py	Tue May 28 13:47:40 2013	(r319305)
@@ -1,6 +1,6 @@
 --- build/depends.py.orig	2012-01-16 06:02:51.000000000 +0900
 +++ build/depends.py	2012-01-16 06:04:08.000000000 +0900
-@@ -99,7 +99,7 @@
+@@ -150,7 +150,7 @@
  
  class Qt(Dependence):
      DEFAULT_QTDIRS = {'linux': '/usr/share/qt4',
@@ -9,57 +9,50 @@
                        'osx': '/Library/Frameworks',
                        'windows': 'C:\\qt\\4.6.0'}
  
-@@ -145,6 +145,8 @@
-         # Setup Qt library includes for non-OSX
-         if build.platform_is_linux or build.platform_is_bsd:
+@@ -219,6 +219,7 @@
+             build.env.Append(LIBS = 'QtOpenGL')
              build.env.Append(LIBS = 'QtXml')
-+            build.env.Append(LIBS = 'QtXmlPatterns')
-+            build.env.Append(LIBS = 'QtSql')
-             build.env.Append(LIBS = 'QtGui')
-             build.env.Append(LIBS = 'QtCore')
              build.env.Append(LIBS = 'QtNetwork')
-@@ -164,14 +166,14 @@
++            build.env.Append(LIBS = 'QtSql')
+             build.env.Append(LIBS = 'QtScript')
+             if use_qtwebkit:
+                 build.env.Append(LIBS = 'QtWebKit')
+@@ -264,16 +265,16 @@
  
          # Set Qt include paths for non-OSX
          if not build.platform_is_osx:
--            build.env.Append(CPPPATH=['$QTDIR/include/QtCore',
--                                      '$QTDIR/include/QtGui',
--                                      '$QTDIR/include/QtXml',
--                                      '$QTDIR/include/QtNetwork',
--                                      '$QTDIR/include/QtSql',
--                                      '$QTDIR/include/QtOpenGL',
--                                      '$QTDIR/include/QtWebKit',
--                                      '$QTDIR/include/Qt'])
-+            build.env.Append(CPPPATH=['$QTDIR/include/qt4/QtCore',
-+                                      '$QTDIR/include/qt4/QtGui',
-+                                      '$QTDIR/include/qt4/QtXml',
-+                                      '$QTDIR/include/qt4/QtNetwork',
-+                                      '$QTDIR/include/qt4/QtSql',
-+                                      '$QTDIR/include/qt4/QtOpenGL',
-+                                      '$QTDIR/include/qt4/QtWebKit',
-+                                      '$QTDIR/include/qt4/Qt'])
+-            include_paths = ['$QTDIR/include/QtCore',
+-                             '$QTDIR/include/QtGui',
+-                             '$QTDIR/include/QtOpenGL',
+-                             '$QTDIR/include/QtXml',
+-                             '$QTDIR/include/QtNetwork',
+-                             '$QTDIR/include/QtSql',
+-                             '$QTDIR/include/QtScript',
+-                             '$QTDIR/include/Qt']
++            include_paths = ['$QTDIR/include/qt4/QtCore',
++                             '$QTDIR/include/qt4/QtGui',
++                             '$QTDIR/include/qt4/QtOpenGL',
++                             '$QTDIR/include/qt4/QtXml',
++                             '$QTDIR/include/qt4/QtNetwork',
++                             '$QTDIR/include/qt4/QtSql',
++                             '$QTDIR/include/qt4/QtScript',
++                             '$QTDIR/include/qt4/Qt']
+             if use_qtwebkit:
+-                include_paths.append('$QTDIR/include/QtWebKit')
++                include_paths.append('$QTDIR/include/qt4/QtWebKit')
+             build.env.Append(CPPPATH=include_paths)
  
          # Set the rpath for linux/bsd/osx.
-         # This is not support on OS X before the 10.5 SDK.
-@@ -179,8 +181,6 @@
-         compiling_on_104 = False
-         if build.platform_is_osx:
-             compiling_on_104 = (os.popen('sw_vers').readlines()[1].find('10.4') >= 0)
--        if not build.platform_is_windows and not (using_104_sdk or compiling_on_104):
--            build.env.Append(LINKFLAGS = "-Wl,-rpath,$QTDIR/lib")
- 
-         #QtSQLite DLL
-         if build.platform_is_windows:
-@@ -298,7 +298,7 @@
+@@ -387,7 +388,7 @@
          # the files correctly. Adding this folder ot the include path should fix
          # it, though might cause issues. This is safe to remove once we
          # deprecate Karmic support. rryan 2/2011
 -        build.env.Append(CPPPATH='/usr/include/taglib/')
 +        build.env.Append(CPPPATH='%%LOCALBASE%%/include/taglib/')
- class MixxxCore(Feature):
  
-     def description(self):
-@@ -623,10 +623,8 @@
+         if build.platform_is_windows and build.static_dependencies:
+             build.env.Append(CPPDEFINES = 'TAGLIB_STATIC')
+@@ -782,10 +783,8 @@
          if build.toolchain_is_gnu:
              # Default GNU Options
              # TODO(XXX) always generate debugging info?
@@ -70,18 +63,7 @@
  
              # Check that g++ is present (yeah, SCONS is a bit dumb here)
              if os.system("which g++ > /dev/null"): #Checks for non-zero return code
-@@ -676,8 +674,8 @@
- 
-         elif build.platform_is_osx:
-             #Stuff you may have compiled by hand
--            build.env.Append(LIBPATH = ['/usr/local/lib'])
--            build.env.Append(CPPPATH = ['/usr/local/include'])
-+            build.env.Append(LIBPATH = ['%%LOCALBASE%%/lib'])
-+            build.env.Append(CPPPATH = ['%%LOCALBASE%%/include'])
- 
-             #Non-standard libpaths for fink and certain (most?) darwin ports
-             build.env.Append(LIBPATH = ['/sw/lib'])
-@@ -689,13 +687,15 @@
+@@ -851,16 +850,19 @@
  
          elif build.platform_is_bsd:
              build.env.Append(CPPDEFINES='__BSD__')
@@ -98,23 +80,31 @@
 +            build.env.Append(LIBPATH=['%%LOCALBASE%%/lib/portaudio2',
 +                                      '%%LOCALBASE%%/lib/qt4',
 +                                      '%%LOCALBASE%%/lib'])
-+            build.env.Append(LINKFLAGS=['-Wl,-rpath,%%LOCALBASE%%/lib/portaudio2',
++            build.env.Append(LINKFLAGS=['%%LOCALBASE%%/lib/portaudio2/libportaudio.so',
++                                        '-Wl,-rpath,%%LOCALBASE%%/lib/portaudio2',
 +                                        '-Wl,-rpath,%%LOCALBASE%%/lib/qt4',
 +                                        '-Wl,-rpath,%%LOCALBASE%%/lib'])
              # why do we need to do this on OpenBSD and not on Linux?  if we
              # don't then CheckLib("vorbisfile") fails
-             build.env.Append(LIBS=['ogg', 'vorbis'])
-@@ -735,11 +735,11 @@
+-            build.env.Append(LIBS=['ogg', 'vorbis'])
++            # build.env.Append(LIBS=['ogg', 'vorbis'])
+ 
+         # Define for things that would like to special case UNIX (Linux or BSD)
+         if build.platform_is_bsd or build.platform_is_linux:
+@@ -897,14 +899,14 @@
          # Say where to find resources on Unix. TODO(XXX) replace this with a
          # RESOURCE_PATH that covers Win and OSX too:
          if build.platform_is_linux or build.platform_is_bsd:
--            share_path = os.path.join(SCons.ARGUMENTS.get('prefix', '/usr/local'), 'share/mixxx')
-+            share_path = os.path.join(SCons.ARGUMENTS.get('prefix', '%%PREFIX%%'), 'share/mixxx')
+-            prefix = SCons.ARGUMENTS.get('prefix', '/usr/local')
++            prefix = SCons.ARGUMENTS.get('prefix', '%%PREFIX%%')
+             share_path = os.path.join(prefix, 'share/mixxx')
              build.env.Append(CPPDEFINES=('UNIX_SHARE_PATH', r'\"%s\"' % share_path))
+             lib_path = os.path.join(prefix, 'lib/mixxx')
+             build.env.Append(CPPDEFINES=('UNIX_LIB_PATH', r'\"%s\"' % lib_path))
  
      def depends(self, build):
--        return [SoundTouch, KissFFT, ReplayGain, PortAudio, PortMIDI, Qt,
-+        return [SoundTouch, KissFFT, ReplayGain, PortAudio, Qt,
-                 FidLib, SndFile, FLAC, OggVorbis, OpenGL, TagLib,]
+-        return [SoundTouch, ReplayGain, PortAudio, PortMIDI, Qt,
++        return [SoundTouch, ReplayGain, PortAudio, Qt,
+                 FidLib, SndFile, FLAC, OggVorbis, OpenGL, TagLib, ProtoBuf]
  
      def post_dependency_check_configure(self, build, conf):

Added: head/audio/mixxx/files/patch-build__features.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mixxx/files/patch-build__features.py	Tue May 28 13:47:40 2013	(r319305)
@@ -0,0 +1,55 @@
+--- build/features.py.orig
++++ build/features.py
+@@ -83,6 +83,9 @@
+         elif build.platform_is_osx:
+             build.env.Append(LINKFLAGS='-framework IOKit')
+             build.env.Append(LINKFLAGS='-framework CoreFoundation')
++        elif build.platform_is_bsd:
++            conf.CheckLib(['usb', 'libusb'])
++            conf.CheckLib(['usbhid', 'libusbhid'])
+ 
+         build.env.Append(CPPDEFINES = '__HID__')
+ 
+@@ -95,7 +98,7 @@
+             # Requires setupapi.lib which is included by the above check for
+             # setupapi.
+             sources.append(os.path.join(self.HIDAPI_INTERNAL_PATH, "windows/hid.c"))
+-        elif build.platform_is_linux:
++        elif build.platform_is_linux or build.platform_is_bsd:
+             sources.append(os.path.join(self.HIDAPI_INTERNAL_PATH, 'linux/hid-libusb.c'))
+         elif build.platform_is_osx:
+             sources.append(os.path.join(self.HIDAPI_INTERNAL_PATH, 'mac/hid.c'))
+@@ -108,24 +111,27 @@
+     def enabled(self, build):
+         # For now only make Bulk default on Linux only. Turn on for all
+         # platforms after the 1.11.0 release.
+-        is_default = 1 if build.platform_is_linux else 0
++        is_default = 1 if build.platform_is_linux or build.platform_is_bsd else 0
+         build.flags['bulk'] = util.get_flags(build.env, 'bulk', is_default)
+         if int(build.flags['bulk']):
+             return True
+         return False
+ 
+     def add_options(self, build, vars):
+-        is_default = 1 if build.platform_is_linux else 0
++        is_default = 1 if build.platform_is_linux or build.platform_is_bsd else 0
+         vars.Add('bulk', 'Set to 1 to enable USB Bulk controller support.', is_default)
+ 
+     def configure(self, build, conf):
+         if not self.enabled(build):
+             return
+ 
+-        build.env.ParseConfig('pkg-config libusb-1.0 --silence-errors --cflags --libs')
+-        if (not conf.CheckLib(['libusb-1.0', 'usb-1.0']) or
+-            not conf.CheckHeader('libusb-1.0/libusb.h')):
+-            raise Exception('Did not find the libusb 1.0 development library or its header file, exiting!')
++        if build.platform_is_linux:
++            build.env.ParseConfig('pkg-config libusb-1.0 --silence-errors --cflags --libs')
++            if (not conf.CheckLib(['libusb-1.0', 'usb-1.0']) or
++                not conf.CheckHeader('libusb-1.0/libusb.h')):
++                raise Exception('Did not find the libusb 1.0 development library or its header file, exiting!')
++        elif build.platform_is_bsd:
++            conf.CheckLib(['usb', 'libusb'])
+ 
+         build.env.Append(CPPDEFINES = '__BULK__')
+ 

Added: head/audio/mixxx/files/patch-lib__hidapi-0.8.0-pre__linux__hid-libusb.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mixxx/files/patch-lib__hidapi-0.8.0-pre__linux__hid-libusb.c	Tue May 28 13:47:40 2013	(r319305)
@@ -0,0 +1,42 @@
+--- lib/hidapi-0.8.0-pre/linux/hid-libusb.c.orig
++++ lib/hidapi-0.8.0-pre/linux/hid-libusb.c
+@@ -48,6 +48,12 @@
+ 
+ #include "hidapi.h"
+ 
++#ifdef __FreeBSD__
++#define LIBUSB_GET_STRING_DESCRIPTOR(h,i,l,d,n)	libusb_get_string_descriptor_ascii(h,i,d,n)
++#else
++#define LIBUSB_GET_STRING_DESCRIPTOR(h,i,l,d,n)	libusb_get_string_descriptor(h,i,l,d,n)
++#endif
++
+ #ifdef __cplusplus
+ extern "C" {
+ #endif
+@@ -264,7 +270,7 @@
+ 	int len;
+ 	
+ 	/* Get the string from libusb. */
+-	len = libusb_get_string_descriptor(dev,
++	len = LIBUSB_GET_STRING_DESCRIPTOR(dev,
+ 			0x0, /* String ID */
+ 			0x0, /* Language */
+ 			(unsigned char*)buf,
+@@ -282,7 +288,7 @@
+ 	int i;
+ 	
+ 	/* Get the string from libusb. */
+-	len = libusb_get_string_descriptor(dev,
++	len = LIBUSB_GET_STRING_DESCRIPTOR(dev,
+ 			0x0, /* String ID */
+ 			0x0, /* Language */
+ 			(unsigned char*)buf,
+@@ -327,7 +333,7 @@
+ 		lang = get_first_language(dev);
+ 		
+ 	/* Get the string from libusb. */
+-	len = libusb_get_string_descriptor(dev,
++	len = LIBUSB_GET_STRING_DESCRIPTOR(dev,
+ 			idx,
+ 			lang,
+ 			(unsigned char*)buf,

Added: head/audio/mixxx/files/patch-src__controllers__controllermanager.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mixxx/files/patch-src__controllers__controllermanager.cpp	Tue May 28 13:47:40 2013	(r319305)
@@ -0,0 +1,23 @@
+--- src/controllers/controllermanager.cpp.orig
++++ src/controllers/controllermanager.cpp
+@@ -12,7 +12,10 @@
+ #include "controllers/defs_controllers.h"
+ #include "controllers/controllerlearningeventfilter.h"
+ 
++#ifdef __PORTMIDI__
+ #include "controllers/midi/portmidienumerator.h"
++#endif
++
+ #ifdef __HSS1394__
+     #include "controllers/midi/hss1394enumerator.h"
+ #endif
+@@ -78,7 +81,9 @@
+     m_pPresetInfoManager = new PresetInfoEnumerator(m_pConfig);
+ 
+     // Instantiate all enumerators
++#ifdef __PORTMIDI__
+     m_enumerators.append(new PortMidiEnumerator());
++#endif
+ #ifdef __HSS1394__
+     m_enumerators.append(new Hss1394Enumerator());
+ #endif

Modified: head/audio/mixxx/files/patch-src__soundsourceproxy.cpp
==============================================================================
--- head/audio/mixxx/files/patch-src__soundsourceproxy.cpp	Tue May 28 13:46:00 2013	(r319304)
+++ head/audio/mixxx/files/patch-src__soundsourceproxy.cpp	Tue May 28 13:47:40 2013	(r319305)
@@ -1,14 +1,11 @@
 --- src/soundsourceproxy.cpp.orig	2011-12-24 11:53:20.000000000 +0900
 +++ src/soundsourceproxy.cpp	2012-01-16 06:10:09.000000000 +0900
-@@ -80,7 +80,10 @@
-         qDebug() << "Adding plugin path from commandline arg:" << clArgs.at(pluginPath + 1);
-         pluginDirs.append(QDir(clArgs.at(pluginPath + 1)));
+@@ -84,7 +84,7 @@
+         qDebug() << "Adding plugin path from commandline arg:" << pluginPath;
+         pluginDirs.append(QDir(pluginPath));
      }
 -#ifdef __LINUX__
-+#ifdef __BSD__
-+    pluginDirs.append(QDir("%%PREFIX%%/lib/mixxx/plugins/soundsource/"));
-+    pluginDirs.append(QDir(QDesktopServices::storageLocation(QDesktopServices::HomeLocation) + "/.mixxx/plugins/soundsource/"));
-+#elif __LINUX__
-     pluginDirs.append(QDir("/usr/local/lib/mixxx/plugins/soundsource/"));
-     pluginDirs.append(QDir("/usr/lib/mixxx/plugins/soundsource/"));
-     pluginDirs.append(QDir(QDesktopServices::storageLocation(QDesktopServices::HomeLocation) + "/.mixxx/plugins/soundsource/"));
++#if defined(__BSD__) || defined(__LINUX__)
+     QDir libPath(UNIX_LIB_PATH);
+     if (libPath.cd("plugins") && libPath.cd("soundsource")) {
+ 	pluginDirs.append(libPath.absolutePath());

Modified: head/audio/mixxx/pkg-plist
==============================================================================
--- head/audio/mixxx/pkg-plist	Tue May 28 13:46:00 2013	(r319304)
+++ head/audio/mixxx/pkg-plist	Tue May 28 13:47:40 2013	(r319305)
@@ -1,139 +1,273 @@
 bin/mixxx
 %%FAAD%%lib/mixxx/plugins/soundsource/libsoundsourcem4a.so
 %%WAVPACK%%lib/mixxx/plugins/soundsource/libsoundsourcewv.so
+lib/mixxx/plugins/vamp/libmixxxminimal.so
 share/applications/mixxx.desktop
 %%PORTDOCS%%%%DOCSDIR%%/Mixxx-Manual.pdf
 %%PORTDOCS%%%%DOCSDIR%%/README
-%%DATADIR%%/keyboard/Old-pre1.10.0.kbd.cfg
-%%DATADIR%%/keyboard/Standard.kbd.cfg
-%%DATADIR%%/midi/Akai MPD24.midi.xml
-%%DATADIR%%/midi/American Audio RADIUS 2000 CH1.midi.xml
-%%DATADIR%%/midi/American Audio RADIUS 2000 CH2.midi.xml
-%%DATADIR%%/midi/American Audio VMS4.midi.xml
-%%DATADIR%%/midi/American-Audio-RADIUS-2000-scripts.js
-%%DATADIR%%/midi/American-Audio-VMS4-scripts.js
-%%DATADIR%%/midi/Behringer BCD3000.midi.xml
-%%DATADIR%%/midi/Behringer-BCD3000-scripts.js
-%%DATADIR%%/midi/BindableConfigKeys.txt
-%%DATADIR%%/midi/DJ-Tech i-Mix Reload.midi.xml
-%%DATADIR%%/midi/DJ-Tech-i-Mix-Reload-scripts.js
-%%DATADIR%%/midi/DJTechTools MIDI Fighter.midi.xml
-%%DATADIR%%/midi/DJTechTools-MIDIFighter-scripts.js
-%%DATADIR%%/midi/Denon MC3000.midi.xml
-%%DATADIR%%/midi/Denon-MC3000-scripts.js
-%%DATADIR%%/midi/Evolution_Xsession.midi.xml
-%%DATADIR%%/midi/FaderFoxDJ2.midi.xml
-%%DATADIR%%/midi/Hercules DJ Console Mac Edition.midi.xml
-%%DATADIR%%/midi/Hercules DJ Console Mk2.midi.xml
-%%DATADIR%%/midi/Hercules DJ Console Mk4.midi.xml
-%%DATADIR%%/midi/Hercules DJ Console RMX Advanced.midi.xml
-%%DATADIR%%/midi/Hercules DJ Console RMX.midi.xml
-%%DATADIR%%/midi/Hercules DJ Control MP3 e2-scripts.js
-%%DATADIR%%/midi/Hercules DJ Control MP3 e2.midi.xml
-%%DATADIR%%/midi/Hercules DJ Control MP3.midi.xml
-%%DATADIR%%/midi/Hercules DJ Control Steel.midi.xml
-%%DATADIR%%/midi/Hercules-DJ-Console-Mk2-scripts.js
-%%DATADIR%%/midi/Hercules-DJ-Console-Mk4-scripts.js
-%%DATADIR%%/midi/Hercules-DJ-Console-RMX-scripts.js
-%%DATADIR%%/midi/Hercules-DJ-Control-MP3-scripts.js
-%%DATADIR%%/midi/Hercules-DJ-Control-Steel-scripts.js
-%%DATADIR%%/midi/Ion Discover DJ.midi.xml
-%%DATADIR%%/midi/Ion-Discover-DJ-scripts.js
-%%DATADIR%%/midi/M-Audio-Xponent-scripts.js
-%%DATADIR%%/midi/M-Audio_Xponent.midi.xml
-%%DATADIR%%/midi/M-Audio_Xsession_pro.midi.xml
-%%DATADIR%%/midi/Midi-Keyboard.midi.xml
-%%DATADIR%%/midi/MidiTech-MidiControl.midi.xml
-%%DATADIR%%/midi/Mixman DM2 (Linux).js
-%%DATADIR%%/midi/Mixman DM2 (Linux).midi.xml
-%%DATADIR%%/midi/Mixman DM2 (OS X).js
-%%DATADIR%%/midi/Mixman DM2 (OS X).midi.xml
-%%DATADIR%%/midi/Mixman DM2 (Windows).midi.xml
-%%DATADIR%%/midi/Numark MIXTRACK.midi.xml
-%%DATADIR%%/midi/Numark NS7.midi.xml
-%%DATADIR%%/midi/Numark Total Control.midi.xml
-%%DATADIR%%/midi/Numark-MixTrack-scripts.js
-%%DATADIR%%/midi/Numark-NS7-scripts.js
-%%DATADIR%%/midi/Numark-Total-Control-scripts.js
-%%DATADIR%%/midi/Pioneer CDJ-2000.midi.xml
-%%DATADIR%%/midi/Pioneer CDJ-350 Ch1.midi.xml
-%%DATADIR%%/midi/Pioneer CDJ-350 Ch2.midi.xml
-%%DATADIR%%/midi/Pioneer CDJ-850.midi.xml
-%%DATADIR%%/midi/Pioneer-CDJ-2000-scripts.js
-%%DATADIR%%/midi/Pioneer-CDJ-350-scripts.js
-%%DATADIR%%/midi/Pioneer-CDJ-850-scripts.js
-%%DATADIR%%/midi/Reloop Digital Jockey 2 Controller Edition.midi.xml
-%%DATADIR%%/midi/Reloop-Digital-Jockey2-Controller-scripts.js
-%%DATADIR%%/midi/Stanton SCS.1d.midi.xml
-%%DATADIR%%/midi/Stanton SCS.1m.midi.xml
-%%DATADIR%%/midi/Stanton SCS.3d.midi.xml
-%%DATADIR%%/midi/Stanton SCS.3m.midi.xml
-%%DATADIR%%/midi/Stanton-SCS1d-scripts.js
-%%DATADIR%%/midi/Stanton-SCS1m-scripts.js
-%%DATADIR%%/midi/Stanton-SCS3d-scripts.js
-%%DATADIR%%/midi/Stanton-SCS3m-scripts.js
-%%DATADIR%%/midi/TrakProDJ iPad.midi.xml
-%%DATADIR%%/midi/TrakProDJ-iPad-scripts.js
-%%DATADIR%%/midi/Vestax Spin.midi.xml
-%%DATADIR%%/midi/Vestax Typhoon.midi.xml
-%%DATADIR%%/midi/Vestax VCI-100.midi.xml
-%%DATADIR%%/midi/Vestax VCI-400.midi.xml
-%%DATADIR%%/midi/Vestax-Spin-scripts.js
-%%DATADIR%%/midi/Vestax-Typhoon-scripts.js
-%%DATADIR%%/midi/Vestax-VCI-100-scripts.js
-%%DATADIR%%/midi/Vestax-VCI-400-scripts.js
-%%DATADIR%%/midi/Wireless DJ App.midi.xml
-%%DATADIR%%/midi/Wireless-DJ-scripts.js
-%%DATADIR%%/midi/convertToXMLSchemaV1.php
-%%DATADIR%%/midi/format.txt
-%%DATADIR%%/midi/midi-mappings-scripts.js
-%%DATADIR%%/midi/us428.midi.xml
+%%DATADIR%%/controllers/Akai MPD24.midi.xml
+%%DATADIR%%/controllers/Akai-LPD8-RK-scripts.js
+%%DATADIR%%/controllers/Akai-LPD8-RK.midi.xml
+%%DATADIR%%/controllers/American Audio RADIUS 2000 CH1.midi.xml
+%%DATADIR%%/controllers/American Audio RADIUS 2000 CH2.midi.xml
+%%DATADIR%%/controllers/American Audio VMS2.midi.xml
+%%DATADIR%%/controllers/American Audio VMS4.midi.xml
+%%DATADIR%%/controllers/American-Audio-RADIUS-2000-scripts.js
+%%DATADIR%%/controllers/American-Audio-VMS4-scripts.js
+%%DATADIR%%/controllers/Behringer BCD2000.midi.xml
+%%DATADIR%%/controllers/Behringer BCD3000 Advanced.midi.xml
+%%DATADIR%%/controllers/Behringer BCD3000.midi.xml
+%%DATADIR%%/controllers/Behringer-BCD2000-scripts.js
+%%DATADIR%%/controllers/Behringer-BCD3000-Advanced-scripts.js
+%%DATADIR%%/controllers/Behringer-BCD3000-scripts.js
+%%DATADIR%%/controllers/DJ-Tech CDJ-101.midi.xml
+%%DATADIR%%/controllers/DJ-Tech DJM-101.midi.xml
+%%DATADIR%%/controllers/DJ-Tech Kontrol One.midi.xml
+%%DATADIR%%/controllers/DJ-Tech Mix-101.midi.xml
+%%DATADIR%%/controllers/DJ-Tech Mixer One.midi.xml
+%%DATADIR%%/controllers/DJ-Tech i-Mix Reload.midi.xml
+%%DATADIR%%/controllers/DJ-Tech-CDJ-101-scripts.js
+%%DATADIR%%/controllers/DJ-Tech-DJM-101-scripts.js
+%%DATADIR%%/controllers/DJ-Tech-Kontrol-One-scripts.js
+%%DATADIR%%/controllers/DJ-Tech-Mixer-One-scripts.js
+%%DATADIR%%/controllers/DJ-Tech-i-Mix-Reload-scripts.js
+%%DATADIR%%/controllers/DJTechTools MIDI Fighter.midi.xml
+%%DATADIR%%/controllers/DJTechTools-MIDIFighter-scripts.js
+%%DATADIR%%/controllers/Denon DN SC2000.midi.xml
+%%DATADIR%%/controllers/Denon MC3000.midi.xml
+%%DATADIR%%/controllers/Denon-DN-SC2000.midi.js
+%%DATADIR%%/controllers/Denon-MC3000-scripts.js
+%%DATADIR%%/controllers/EKS Otus.hid.xml
+%%DATADIR%%/controllers/EKS-Otus.js
+%%DATADIR%%/controllers/Evolution_Xsession.midi.xml
+%%DATADIR%%/controllers/FaderFoxDJ2.midi.xml
+%%DATADIR%%/controllers/Gemini FirstMix.midi.xml
+%%DATADIR%%/controllers/Gemini-FirstMix-scripts.js
+%%DATADIR%%/controllers/HID Keyboard.hid.xml.example
+%%DATADIR%%/controllers/HID Trackpad.hid.xml.example
+%%DATADIR%%/controllers/HID-Keyboard.js
+%%DATADIR%%/controllers/HID-Trackpad.js
+%%DATADIR%%/controllers/Hercules DJ Console 4-Mx.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Console Mac Edition.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Console Mk1.hid.xml
+%%DATADIR%%/controllers/Hercules DJ Console Mk2.hid.xml
+%%DATADIR%%/controllers/Hercules DJ Console Mk2.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Console Mk4.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Console RMX Advanced.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Console RMX.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Control AIR.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Control Instinct.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Control MP3 e2-scripts.js
+%%DATADIR%%/controllers/Hercules DJ Control MP3 e2.bulk.xml
+%%DATADIR%%/controllers/Hercules DJ Control MP3 e2.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Control MP3.midi.xml
+%%DATADIR%%/controllers/Hercules DJ Control Steel.midi.xml
+%%DATADIR%%/controllers/Hercules-DJ-Console-Mk1-hid-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Console-Mk2-hid-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Console-Mk2-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Console-Mk4-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Console-RMX-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Control-AIR-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Control-Instinct-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Control-MP3-scripts.js
+%%DATADIR%%/controllers/Hercules-DJ-Control-Steel-scripts.js
+%%DATADIR%%/controllers/Hercules-mp3e2-compat.js
+%%DATADIR%%/controllers/Ion Discover DJ.midi.xml
+%%DATADIR%%/controllers/Ion-Discover-DJ-scripts.js
+%%DATADIR%%/controllers/KANE_QuNeo.midi.xml
+%%DATADIR%%/controllers/KANE_QuNeo_scripts.js
+%%DATADIR%%/controllers/Kontrol Dj KDJ500.midi.xml
+%%DATADIR%%/controllers/Kontrol-Dj-KDJ500-scripts.js
+%%DATADIR%%/controllers/Korg nanoKONTROL 2.midi.xml
+%%DATADIR%%/controllers/Korg nanoKONTROL.midi.xml
+%%DATADIR%%/controllers/Korg nanoPAD2.midi.xml
+%%DATADIR%%/controllers/Korg-nanoKONTROL-2-scripts.js
+%%DATADIR%%/controllers/Korg-nanoPAD2-scripts.js
+%%DATADIR%%/controllers/M-Audio-Xponent-scripts.js
+%%DATADIR%%/controllers/M-Audio_Xponent.midi.xml
+%%DATADIR%%/controllers/M-Audio_Xsession_pro.midi.xml
+%%DATADIR%%/controllers/Midi-Keyboard.midi.xml
+%%DATADIR%%/controllers/MidiTech-MidiControl.midi.xml
+%%DATADIR%%/controllers/MixVibes U-Mix Control 2.midi.xml
+%%DATADIR%%/controllers/MixVibes U-Mix Control Pro 2.midi.xml
+%%DATADIR%%/controllers/MixVibes-U-Mix-Control-Pro-2-scripts.js
+%%DATADIR%%/controllers/Mixman DM2 (Linux).js
+%%DATADIR%%/controllers/Mixman DM2 (Linux).midi.xml
+%%DATADIR%%/controllers/Mixman DM2 (OS X).js
+%%DATADIR%%/controllers/Mixman DM2 (OS X).midi.xml
+%%DATADIR%%/controllers/Mixman DM2 (Windows).midi.xml
+%%DATADIR%%/controllers/Nintendo Wiimote.hid.xml
+%%DATADIR%%/controllers/Nintendo-Wiimote.js
+%%DATADIR%%/controllers/Novation Dicer.midi.xml
+%%DATADIR%%/controllers/Novation Launchpad.midi.xml
+%%DATADIR%%/controllers/Novation-Dicer-scripts.js
+%%DATADIR%%/controllers/Novation-Launchpad-scripts.js
+%%DATADIR%%/controllers/Numark DJ2Go.midi.xml
+%%DATADIR%%/controllers/Numark MIXTRACK.midi.xml
+%%DATADIR%%/controllers/Numark Mixtrack Pro.midi.xml
+%%DATADIR%%/controllers/Numark N4.midi.xml
+%%DATADIR%%/controllers/Numark NS7.midi.xml
+%%DATADIR%%/controllers/Numark Omni Control.midi.xml
+%%DATADIR%%/controllers/Numark Total Control.midi.xml
+%%DATADIR%%/controllers/Numark V7.midi.xml
+%%DATADIR%%/controllers/Numark-DJ2Go-scripts.js
+%%DATADIR%%/controllers/Numark-MixTrack-scripts.js
+%%DATADIR%%/controllers/Numark-Mixtrack-Pro-scripts.js
+%%DATADIR%%/controllers/Numark-N4-scripts.js
+%%DATADIR%%/controllers/Numark-NS7-scripts.js
+%%DATADIR%%/controllers/Numark-Omni-Control-scripts.js
+%%DATADIR%%/controllers/Numark-Total-Control-scripts.js
+%%DATADIR%%/controllers/Numark-V7-scripts.js
+%%DATADIR%%/controllers/Pioneer CDJ HID.hid.xml
+%%DATADIR%%/controllers/Pioneer CDJ-2000.midi.xml
+%%DATADIR%%/controllers/Pioneer CDJ-350 Ch1.midi.xml
+%%DATADIR%%/controllers/Pioneer CDJ-350 Ch2.midi.xml
+%%DATADIR%%/controllers/Pioneer CDJ-850.midi.xml
+%%DATADIR%%/controllers/Pioneer-CDJ-2000-scripts.js
+%%DATADIR%%/controllers/Pioneer-CDJ-350-scripts.js
+%%DATADIR%%/controllers/Pioneer-CDJ-850-scripts.js
+%%DATADIR%%/controllers/Pioneer-CDJ-HID.js
+%%DATADIR%%/controllers/README.txt
+%%DATADIR%%/controllers/Reloop Digital Jockey 2 Controller Edition.midi.xml
+%%DATADIR%%/controllers/Reloop Terminal Mix 2-4.js
+%%DATADIR%%/controllers/Reloop Terminal Mix 2-4.midi.xml
+%%DATADIR%%/controllers/Reloop-Digital-Jockey2-Controller-scripts.js
+%%DATADIR%%/controllers/Sony SixxAxis.hid.xml
+%%DATADIR%%/controllers/Sony-SixxAxis.js
+%%DATADIR%%/controllers/Stanton SCS.1d.midi.xml
+%%DATADIR%%/controllers/Stanton SCS.1m.midi.xml
+%%DATADIR%%/controllers/Stanton SCS.3d.midi.xml
+%%DATADIR%%/controllers/Stanton SCS.3m.midi.xml
+%%DATADIR%%/controllers/Stanton-SCS1d-scripts.js
+%%DATADIR%%/controllers/Stanton-SCS1m-scripts.js
+%%DATADIR%%/controllers/Stanton-SCS3d-scripts.js
+%%DATADIR%%/controllers/Stanton-SCS3m-scripts.js
+%%DATADIR%%/controllers/TrakProDJ iPad.midi.xml
+%%DATADIR%%/controllers/TrakProDJ-iPad-scripts.js
+%%DATADIR%%/controllers/Traktor Kontrol F1.hid.xml
+%%DATADIR%%/controllers/Traktor Kontrol X1.midi.xml
+%%DATADIR%%/controllers/Traktor-Kontrol-F1-scripts.js
+%%DATADIR%%/controllers/Traktor-Kontrol-X1.js
+%%DATADIR%%/controllers/Vestax Spin.midi.xml
+%%DATADIR%%/controllers/Vestax Typhoon.midi.xml
+%%DATADIR%%/controllers/Vestax VCI-100-3DEX.midi.xml
+%%DATADIR%%/controllers/Vestax VCI-100-hile.midi.xml
+%%DATADIR%%/controllers/Vestax VCI-100.midi.xml
+%%DATADIR%%/controllers/Vestax VCI-300.midi.xml
+%%DATADIR%%/controllers/Vestax VCI-400.midi.xml
+%%DATADIR%%/controllers/Vestax-Spin-scripts.js
+%%DATADIR%%/controllers/Vestax-Typhoon-scripts.js
+%%DATADIR%%/controllers/Vestax-VCI-100-3DEX-scripts.js
+%%DATADIR%%/controllers/Vestax-VCI-100-hile.js
+%%DATADIR%%/controllers/Vestax-VCI-100-scripts.js
+%%DATADIR%%/controllers/Vestax-VCI-300-scripts.js
+%%DATADIR%%/controllers/Vestax-VCI-400-scripts.js
+%%DATADIR%%/controllers/Wireless DJ App.midi.xml
+%%DATADIR%%/controllers/Wireless-DJ-scripts.js
+%%DATADIR%%/controllers/Xone K2.midi.xml
+%%DATADIR%%/controllers/common-bulk-midi.js
+%%DATADIR%%/controllers/common-controller-scripts.js
+%%DATADIR%%/controllers/common-hid-devices.js
+%%DATADIR%%/controllers/common-hid-packet-parser.js
+%%DATADIR%%/controllers/convertToXMLSchemaV1.php
+%%DATADIR%%/controllers/us428.midi.xml
+%%DATADIR%%/keyboard/cs_CZ.kbd.cfg
+%%DATADIR%%/keyboard/da_DK.kbd.cfg
+%%DATADIR%%/keyboard/de_DE.kbd.cfg
+%%DATADIR%%/keyboard/el_GR.kbd.cfg
+%%DATADIR%%/keyboard/en_US.kbd.cfg
+%%DATADIR%%/keyboard/es_ES.kbd.cfg
+%%DATADIR%%/keyboard/fi_FI.kbd.cfg
+%%DATADIR%%/keyboard/fr_FR.kbd.cfg
+%%DATADIR%%/keyboard/it_IT.kbd.cfg
+%%DATADIR%%/keyboard/ru_RU.kbd.cfg
 %%DATADIR%%/schema.xml
+%%DATADIR%%/skins/Deere1280x1024-SXGA/CHANGELOG.txt
 %%DATADIR%%/skins/Deere1280x1024-SXGA/background1280x1024.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatgrid1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatgrid1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatgrid2.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatgrid2_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0125.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0125_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0125_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0125_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0250.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0250_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0250_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0250_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0500.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0500_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0500_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_0500_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_16.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_16_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_16_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_16_overdown.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_4.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_4_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_4_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_4_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_8.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_8_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_8_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_8_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_double.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_double_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_double_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_double_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_halve.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_halve_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_halve_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop1_halve_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0125.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0125_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0125_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0125_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0250.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0250_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0250_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0250_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0500.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0500_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0500_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_0500_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_16.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_16_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_16_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_16_overdown.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_4.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_4_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_4_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_4_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_8.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_8_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_8_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_8_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_double.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_double_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_double_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_double_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_halve.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_halve_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_halve_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_beatloop2_halve_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping2.png
@@ -142,12 +276,18 @@ share/applications/mixxx.desktop
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping_master_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping_microphone.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping_microphone_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping_previewdeck.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping_previewdeck_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping_sampler.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_clipping_sampler_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_cue2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_eject1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_eject1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_eject2.png
@@ -155,29 +295,53 @@ share/applications/mixxx.desktop
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_eject_sampler.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_eject_sampler_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_forward2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_fx2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_3.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_3_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_3_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_3_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_4.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_4_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_4_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue1_4_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_3.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_3_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_3_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_3_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_4.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_4_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_4_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_hotcue2_4_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_keylock1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_keylock1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_keylock2.png
@@ -185,25 +349,45 @@ share/applications/mixxx.desktop
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_keylock_sampler.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_keylock_sampler_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_kill.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_kill_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_kill_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_kill_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_in2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_loop_out2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_microphone_talkover.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_microphone_talkover_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_microphone_talkover_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_microphone_talkover_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_down2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_nudge_up2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_orientation_microphone_left_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_orientation_microphone_master.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_orientation_microphone_right_over.png
@@ -211,33 +395,57 @@ share/applications/mixxx.desktop
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_orientation_sampler_master.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_orientation_sampler_right_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl_sampler.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl_sampler_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl_sampler_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pfl_sampler_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_down2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_pitch_up2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play_sampler.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play_sampler_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play_sampler_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_play_sampler_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_quantize1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_quantize1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_quantize2.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_quantize2_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reloop2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_repeat1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_repeat1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_repeat2.png
@@ -245,21 +453,37 @@ share/applications/mixxx.desktop
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_repeat_sampler.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_repeat_sampler_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_reverse2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_rewind2_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_spinny1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_spinny1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_spinny2.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_spinny2_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync1.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync1_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync1_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync1_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync2.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync2_down.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync2_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync2_overdown.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync_sampler.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync_sampler_down.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync_sampler_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_sync_sampler_overdown.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_tap1.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_tap1_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_tap2.png
@@ -296,6 +520,8 @@ share/applications/mixxx.desktop
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_volume_display_master2_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_volume_display_microphone.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_volume_display_microphone_over.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_volume_display_previewdeck.png
+%%DATADIR%%/skins/Deere1280x1024-SXGA/btn_volume_display_previewdeck_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_volume_display_sampler.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/btn_volume_display_sampler_over.png
 %%DATADIR%%/skins/Deere1280x1024-SXGA/knob_crossfader.png

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"